Article ID: 121643, created on May 20, 2014, last review on Aug 18, 2015

  • Applies to:
  • Business Automation 5.4

Symptoms

PBA-E does not start with the following error:

    WARNING: Dependencies loop detected for 'xrproxy_auth'  (adding 'xmlrpcd_auth'). Please check service dependencies.

Cause

Authorization for xmlrpcd was enabled, but configuration files

    /usr/local/bm/etc/ssm.conf.d/.xmlrpcd_auth.conf
    /usr/local/bm/etc/ssm.conf.d/.xrproxy_auth.conf

are missing.

Resolution

Please recreate the files:

    cp /usr/local/bm/etc/ssm.conf.d/.xmlrpcd.conf /usr/local/bm/etc/ssm.conf.d/.xmlrpcd_auth.conf
    cp /usr/local/bm/etc/ssm.conf.d/.xrproxy.conf /usr/local/bm/etc/ssm.conf.d/.xrproxy_auth.conf

and start PBA-E.

Search Words

Dependencies loop detected

PBA-E does not start

198398b282069eaf2d94a6af87dcb3ff caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 210d017ddc3a076d22f0f865b1cf0730 92711db0799e8aefe8e51f12dace0496

Email subscription for changes to this article
Save as PDF